umbrello: DiagramPrintPage Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Slots | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
DiagramPrintPage Class Reference

A print dialog page. More...

`#include <diagramprintpage.h>`

Inheritance diagram for DiagramPrintPage:

## Public Slots
void | slotClicked ()
void | slotActivated (int index)

## Public Member Functions
| DiagramPrintPage (QWidget *parent, UMLDoc *doc)
| ~DiagramPrintPage ()
int | printUmlCount ()
QString | printUmlDiagram (int sel)
bool | isValid (QString &msg)
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Private Types
enum | FilterType { Current = 0 , All , Select , Type }

## Private Member Functions
bool | isSelected (int index)

## Private Attributes
QGroupBox * | m_pFilterGB
QGroupBox * | m_pSelectGB
QListWidget * | m_pSelectLW
QRadioButton * | m_pAllRB
QRadioButton * | m_pCurrentRB
QRadioButton * | m_pSelectRB
QRadioButton * | m_pTypeRB
KComboBox * | m_pTypeCB
UMLDoc * | m_doc
Uml::DiagramType::Enum | m_ViewType
QList< Uml::ID::Type > | m_nIdList
| list containing the IDs of diagrams to print More...

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

A print dialog page.

This is a page on the print dialog to select what diagram(s) you wish to print. You add it to the QPrinter instance.

You will then need to get the options as shown in QPrinter.

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m

See also
  KPrinter Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Member Enumeration Documentation

## ◆ FilterType

enum DiagramPrintPage::FilterType
| private

Enumerator
Current |
All |
Select |
Type |

## Constructor & Destructor Documentation

## ◆ DiagramPrintPage()

DiagramPrintPage::DiagramPrintPage | ( | QWidget * | parent,
|  | UMLDoc * | doc
| ) |  |

Constructs the diagram print page.

Parameters

  parent | The parent to the page.
  doc | The UMLDoc class instance being used.

## ◆ ~DiagramPrintPage()

DiagramPrintPage::~DiagramPrintPage | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ isSelected()

bool DiagramPrintPage::isSelected | ( | int | index | ) |
| private

Check if item with given index is selected.

Parameters

  index | index of selected item

Returns
  flag whether item is selected

## ◆ isValid()

bool DiagramPrintPage::isValid | ( | QString & | msg | ) |

Overridden method.

## ◆ printUmlCount()

int DiagramPrintPage::printUmlCount | ( |  | ) |

Get selected print options.

Returns
  number of selected items

## ◆ printUmlDiagram()

QString DiagramPrintPage::printUmlDiagram | ( | int | sel | ) |

Return ID string of UML diagram.

Parameters

  sel | index of selected item

Returns
  ID as string or empty string

## ◆ slotActivated

void DiagramPrintPage::slotActivated | ( | int | index | ) |
| slot

Gets called when the user chooses another diagram type. Only diagrams of this type will be shown in the diagram box.

Parameters

  index | diagram type (combo box index)

## ◆ slotClicked

void DiagramPrintPage::slotClicked | ( |  | ) |
| slot

Gets called when the users chooses to print all diagrams, the current diagram, a selection of diagrams or diagrams by type. It will change the listed diagrams in the diagram box.

## Member Data Documentation

## ◆ m_doc

UMLDoc* DiagramPrintPage::m_doc
| private

## ◆ m_nIdList

QList<Uml::ID::Type> DiagramPrintPage::m_nIdList
| private

list containing the IDs of diagrams to print

## ◆ m_pAllRB

QRadioButton* DiagramPrintPage::m_pAllRB
| private

## ◆ m_pCurrentRB

QRadioButton* DiagramPrintPage::m_pCurrentRB
| private

## ◆ m_pFilterGB

QGroupBox* DiagramPrintPage::m_pFilterGB
| private

## ◆ m_pSelectGB

QGroupBox* DiagramPrintPage::m_pSelectGB
| private

## ◆ m_pSelectLW

QListWidget* DiagramPrintPage::m_pSelectLW
| private

## ◆ m_pSelectRB

QRadioButton* DiagramPrintPage::m_pSelectRB
| private

## ◆ m_pTypeCB

KComboBox* DiagramPrintPage::m_pTypeCB
| private

## ◆ m_pTypeRB

QRadioButton* DiagramPrintPage::m_pTypeRB
| private

## ◆ m_ViewType

Uml::DiagramType::Enum DiagramPrintPage::m_ViewType
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/diagramprintpage.h
- umbrello/dialogs/pages/diagramprintpage.cpp